AccountEdge Cloud System Requirements

Article ID: 2025137       Last updated: 3 June 03 2014

 

AccountEdge Cloud requires the following:

  •  A licensed AccountEdge 2015, AccountEdge Plus 2015, or AccountEdge Plus NE 2015 product on a computer with an internet connection.

  •  An active Dropbox account.

  •  For the AccountEdge Cloud users, any internet capable device with an internet browser.

 

 

 

Return to AccountEdge Support